summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/fetch_os_creds.sh30
-rw-r--r--utils/test/reporting/docker/nginx.conf6
-rwxr-xr-xutils/test/reporting/pages/config.sh2
-rw-r--r--utils/test/testapi/3rd_party/static/testapi-ui/components/pods/podsController.js13
-rw-r--r--utils/test/testapi/tools/watchdog/docker_watch.sh20
5 files changed, 36 insertions, 35 deletions
diff --git a/utils/fetch_os_creds.sh b/utils/fetch_os_creds.sh
index 3bc66f942..0873a6832 100755
--- a/utils/fetch_os_creds.sh
+++ b/utils/fetch_os_creds.sh
@@ -74,9 +74,6 @@ dest_path=${dest_path:-$HOME/opnfv-openrc.sh}
os_cacert=${os_cacert:-$HOME/os_cacert}
installer_type=${installer_type:-$INSTALLER_TYPE}
installer_ip=${installer_ip:-$INSTALLER_IP}
-if [ "${installer_type}" == "fuel" ] && [ "${BRANCH}" == "master" ]; then
- installer_ip=${SALT_MASTER_IP}
-fi
if [ -z $dest_path ] || [ -z $installer_type ] || [ -z $installer_ip ]; then
usage
@@ -97,28 +94,31 @@ ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
# Start fetching the files
info "Fetching rc file..."
if [ "$installer_type" == "fuel" ]; then
- verify_connectivity $installer_ip
- if [ "${BRANCH}" == "master" ]; then
- ssh_key=${ssh_key:-$SSH_KEY}
- if [ -z $ssh_key ] || [ ! -f $ssh_key ]; then
+ verify_connectivity "${installer_ip}"
+ # stable/danube uses old Fuel, requires user/pass; new Fuel uses keypair
+ if [[ ! "${BRANCH}" =~ "danube" ]]; then
+ ssh_user="ubuntu"
+ ssh_key="${ssh_key:-$SSH_KEY}"
+ if [ -z "$ssh_key" ] || [ ! -f "$ssh_key" ]; then
error "Please provide path to existing ssh key for mcp deployment."
exit 2
fi
ssh_options+=" -i ${ssh_key}"
# retrieving controller vip
- controller_ip=$(ssh 2>/dev/null ${ssh_options} ubuntu@${installer_ip} \
- "sudo salt --out txt 'ctl*' pillar.get _param:openstack_control_address | awk '{print \$2; exit}'" | \
- sed 's/ //g') &> /dev/null
+ controller_ip=$(ssh 2>/dev/null ${ssh_options} "${ssh_user}@${installer_ip}" \
+ "sudo salt --out yaml 'ctl*' pillar.get _param:openstack_control_address | \
+ awk '{print \$2; exit}'") &> /dev/null
- info "... from controller $controller_ip..."
- ssh ${ssh_options} ubuntu@${controller_ip} "sudo cat /root/keystonercv3" > $dest_path
+ info "... from controller ${controller_ip} ..."
+ ssh ${ssh_options} "${ssh_user}@${controller_ip}" \
+ "sudo cat /root/keystonercv3" > "${dest_path}"
- if [[ $BUILD_TAG =~ "baremetal" ]]; then
- ssh ${ssh_options} ubuntu@${installer_ip} "cat /etc/ssl/certs/os_cacert" > $os_cacert
+ if [[ "${BUILD_TAG}" =~ "baremetal" ]]; then
+ ssh ${ssh_options} "${ssh_user}@${installer_ip}" \
+ "cat /etc/ssl/certs/os_cacert" > "${os_cacert}"
fi
else
- #ip_fuel="10.20.0.2"
env=$(sshpass -p r00tme ssh 2>/dev/null ${ssh_options} root@${installer_ip} \
'fuel env'|grep operational|head -1|awk '{print $1}') &> /dev/null
if [ -z $env ]; then
diff --git a/utils/test/reporting/docker/nginx.conf b/utils/test/reporting/docker/nginx.conf
index ced8179c1..95baf0e48 100644
--- a/utils/test/reporting/docker/nginx.conf
+++ b/utils/test/reporting/docker/nginx.conf
@@ -11,11 +11,11 @@ server {
server_name localhost;
location / {
- proxy_pass http://backends;
+ alias /home/opnfv/releng/utils/test/reporting/pages/dist/;
}
- location /reporting/ {
- alias /home/opnfv/releng/utils/test/reporting/pages/dist/;
+ location /api/ {
+ http_pass http://backends/;
}
location /display/ {
diff --git a/utils/test/reporting/pages/config.sh b/utils/test/reporting/pages/config.sh
index f9bb89ac8..62aa16f1c 100755
--- a/utils/test/reporting/pages/config.sh
+++ b/utils/test/reporting/pages/config.sh
@@ -1,3 +1,3 @@
-: ${SERVER_URL:='testresults.opnfv.org/reporting2'}
+: ${SERVER_URL:='testresults.opnfv.org/testing/api'}
echo "{\"url\": \"http://${SERVER_URL}\"}" > dist/config.json
diff --git a/utils/test/testapi/3rd_party/static/testapi-ui/components/pods/podsController.js b/utils/test/testapi/3rd_party/static/testapi-ui/components/pods/podsController.js
index 894fcc152..489fa8a8d 100644
--- a/utils/test/testapi/3rd_party/static/testapi-ui/components/pods/podsController.js
+++ b/utils/test/testapi/3rd_party/static/testapi-ui/components/pods/podsController.js
@@ -20,7 +20,7 @@
.controller('PodsController', PodsController);
PodsController.$inject = [
- '$rootScope', '$scope', '$http', '$filter', '$state', 'testapiApiUrl','raiseAlert'
+ '$scope', '$http', '$filter', '$state', 'testapiApiUrl','raiseAlert'
];
/**
@@ -88,16 +88,17 @@
details: ctrl.details
};
ctrl.podsRequest =
- $http.post(pods_url, body).error(function (error) {
+ $http.post(pods_url, body).error(function (data, status) {
ctrl.showError = true;
- ctrl.error =
- 'Error creating the new pod from server: ' +
- angular.toJson(error);
+ if(status == 403){
+ ctrl.error =
+ 'Error creating the new pod from server: Pod\'s name already exists'
+ }
});
}
else{
ctrl.showError = true;
- ctrl.error = 'Name is missing.'
+ ctrl.error = 'Name is missing.'
}
}
diff --git a/utils/test/testapi/tools/watchdog/docker_watch.sh b/utils/test/testapi/tools/watchdog/docker_watch.sh
index 786fc10b9..f1d8946b6 100644
--- a/utils/test/testapi/tools/watchdog/docker_watch.sh
+++ b/utils/test/testapi/tools/watchdog/docker_watch.sh
@@ -22,7 +22,7 @@ declare -A ports=( ["testapi"]="8082" ["reporting"]="8084")
## Urls to check if the modules are deployed or not ?
declare -A urls=( ["testapi"]="http://testresults.opnfv.org/test/" \
- ["reporting"]="http://testresults.opnfv.org/reporting2/reporting/index.html")
+ ["reporting"]="http://testresults.opnfv.org/reporting/index.html")
### Functions related to checking.
@@ -31,9 +31,9 @@ function is_deploying() {
building=$(grep -oPm1 "(?<=<building>)[^<]+" <<< "$xml")
if [[ $building == "false" ]]
then
- return 0
+ false
else
- return 1
+ true
fi
}
@@ -42,9 +42,9 @@ function get_docker_status() {
echo -e "Docker status: $status"
if [ $status = "active" ]
then
- return 1
+ true
else
- return 0
+ false
fi
}
@@ -53,9 +53,9 @@ function check_connectivity() {
cmd=`curl --head -m10 --request GET ${2} | grep '200 OK' > /dev/null`
rc=$?
if [[ $rc == 0 ]]; then
- return 0
+ true
else
- return 1
+ false
fi
}
@@ -74,7 +74,7 @@ function check_modules() {
done
if [ ! -z "$failed_modules" ]; then
echo -e "Failed Modules: $failed_modules"
- return 1
+ false
else
echo -e "All modules working good"
exit 0
@@ -135,7 +135,7 @@ echo -e
## If the problem is related to docker daemon
-if get_docker_status; then
+if ! get_docker_status; then
restart_docker_fix
if ! check_modules; then
echo -e "Watchdog failed while restart_docker_fix"
@@ -162,4 +162,4 @@ if ! check_modules; then
fi
sudo docker ps
-sudo docker images
+sudo docker images \ No newline at end of file